=== debian/changelog ===
xsunpinyin (2.0.2-1ubuntu1) natty; urgency=low

  * Updated Maintainer field.
  * Initial upload to Ubuntu

 -- Zhengpeng Hou <zhengpeng-hou@ubuntu.com>  Sun, 09 Jan 2011 00:02:46 +0800

xsunpinyin (2.0.2-1) experimental; urgency=low

  * Initial release (Closes: #587840)

 -- Liang Guo <bluestonechina@gmail.com>  Sun, 03 Oct 2010 11:15:10 +0800
