=== debian/control ===
Source: xsunpinyin
Section: utils
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Liang Guo <bluestonechina@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), scons, pkg-config, libsunpinyin-dev, libgtk2.0-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/sunpinyin

Package: xsunpinyin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sunpinyin-data
Description: Standalone XIM server for Sunpinyin
 Sunpinyin is a statistical language model (SLM) based input method 
 engine for Simplified Chinese, it features full sentence input.
 .
 This package provides a XIM server with SunPinyin input method.
