=== debian/changelog ===
xsunpinyin (2.0.3-8) unstable; urgency=medium

  * Team upload
  * Delete d/watch to prevent uscan from running unnecessarily
    + project deprecated upstream

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Fri, 02 Dec 2022 02:49:08 +0100

xsunpinyin (2.0.3-7) unstable; urgency=medium

  * Team upload.
  * Remove Liang Guo from the uploaders list. (Closes: #961609)
    Thanks for all your work! 
  * Backport upstream trunk patch till 2021-02-28
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/control: Bump debhelper compat to v13.
  * debian/copyright: Fix lintian warnings.

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Jun 2022 17:47:21 -0400

xsunpinyin (2.0.3-6) unstable; urgency=high

  * Team upload.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
  * debian/patches/0003: Add patch to fix compatibility with scons
    3.1.2+. (Closes: #947587)

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Jan 2020 13:43:33 -0500

xsunpinyin (2.0.3-5) unstable; urgency=high

  * Team upload.

  [ GengYu Rao ]
  * Fix URL in debian/watch.
  * Fix URL in debian/control.
  * Bump to standard 4.1.4.
  * Add GengYu Rao to uploaders.
  * Move to git repository on salsa.

  [ Boyuan Yang ]
  * Bump Standards-Version to 4.2.1 (no changes needed).
  * debian/control: Update maintainer and uploaders email address.
    (Closes: #899860).
  * debian/rules: Enable full hardening.
  * debian/copyright: Refresh information and point upstream to GitHub.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Sep 2018 15:42:39 -0400

xsunpinyin (2.0.3-4) unstable; urgency=low

  [ YunQiang Su ]
  * Rewrite debian/rules with dh 7 format.
  * Fix URL in debian/watch.
  * Add YunQiang Su to uploaders.
  * Bump to standard 3.9.3.

  [ Liang Guo ]
  * Add im-config | im-switch to Recommends.
  * Mention im-switch in xsunpinyin.1.

 -- Liang Guo <bluestonechina@gmail.com>  Thu, 05 Apr 2012 22:12:31 +0800

xsunpinyin (2.0.3-3) unstable; urgency=low

  * debian/copyright:
    - Add Upstream-Contact
    - Update Format field
  * Use Environment.MergeFlags to separate build flags (Closes: #647046)

 -- Liang Guo <bluestonechina@gmail.com>  Thu, 02 Feb 2012 16:40:22 +0800

xsunpinyin (2.0.3-2) unstable; urgency=low

  * Update debian/copyright to fit DEP-5
  * Bump Standards-Version to 3.9.2
  * Add build-arch and build-indep in debian/rules
  * Move git repository from collab-maint to pkg-ime,
    Update Vcs-* fields in debian/control

 -- Liang Guo <bluestonechina@gmail.com>  Thu, 15 Sep 2011 23:45:17 +0800

xsunpinyin (2.0.3-1) unstable; urgency=low

  * New upstream release 2.0.3.
  * Upload to unstable.
  * Update VCS field in debian/control.
  * Remove README.source, it's no meaning now.

 -- Liang Guo <bluestonechina@gmail.com>  Sat, 19 Feb 2011 18:14:46 +0800
