=== debian/control ===
Source: xsunpinyin
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 YunQiang Su <syq@debian.org>,
 GengYu Rao <zouyoo@outlook.com>,
Build-Depends:
 debhelper-compat (= 13),
 libgtk2.0-dev,
 libsunpinyin-dev (>=3.0.0~rc1+ds1),
 pkg-config,
 scons,
Standards-Version: 4.6.1
Homepage: https://github.com/sunpinyin/sunpinyin/tree/master/wrapper/xim
Vcs-Git: https://salsa.debian.org/input-method-team/xsunpinyin.git
Vcs-Browser: https://salsa.debian.org/input-method-team/xsunpinyin

Package: xsunpinyin
Architecture: any
Depends:
 sunpinyin-data,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 im-config | im-switch,
Description: Standalone XIM server for Sunpinyin
 Sunpinyin is a statistical language model (SLM) based input method
 engine for Simplified Chinese, it features full sentence input.
 .
 This package provides a XIM server with SunPinyin input method.
