=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Liang Guo <bluestonechina@gmail.com> 2010
# YunQiang Su <wzssyqa@gmail.com>, 2012
#
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =

SCONS=scons

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:
	$(SCONS) --prefix=$(DEB_DESTDIR)/usr

override_dh_auto_clean:
	dh_auto_clean
	$(SCONS)  -c
	rm -f .sconsign.dblite config.log configure.conf

override_dh_auto_install:
	$(SCONS) install --prefix=$(DEB_DESTDIR)/usr --install-sandbox=debian/tmp
